Subject: Shepherd Sometimes Crashes

From: Katherine Cox-Buday <[email-masked]>
Date: Wed, 20 May 2020 21:59:03 -0500

I am running shepherd as a userspace service manager on an alien distro.
Occassionally (often enough as to cause concern), Shepherd is crashing.
I am unable to narrow down a cause, but anecdotally, it seems to happen
more often when a service it's managing fails repeatedly and is
disabled.

I'm running `strace` against the Shepherd process in an attempt to
submit a better bug report, but this is all I have for now. Maybe others
have also seen this behavior.

-- 
Katherine